Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlDouble

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

public interface XmlDouble
extends XmlAnySimpleType

Corresponds to the XML Schema xs:double type.

Naturally, convertible to a Java double.

Nested Class Summary
`static class` | `XmlDouble.Factory` A class with methods for creating instances of `XmlDouble`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`double` | `doubleValue()` Deprecated. replaced with `getDoubleValue()`
`double` | `getDoubleValue()` Returns this value as a double
`void` | `set(double v)` Deprecated. replaced with `setDoubleValue(double)`
`void` | `setDoubleValue(double v)` Sets this value as a double

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getDoubleValue

    public double getDoubleValue()

  Returns this value as a double

### setDoubleValue

    public void setDoubleValue(double v)

  Sets this value as a double

### doubleValue

    public double doubleValue()

  Deprecated. replaced with `getDoubleValue()`

  Returns this value as a double

### set

    public void set(double v)

  Deprecated. replaced with `setDoubleValue(double)`

  Sets this value as a double

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD